﻿$ErrorActionPreference = 'Stop';

$packageName    = 'unity-appletv'
$toolsDir       = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url64          = 'https://download.unity3d.com/download_unity/232e59c3f087/TargetSupportInstaller/UnitySetup-AppleTV-Support-for-Editor-2021.3.28f1.exe'
$checksum64     = '86a14fda0fdb9f0045f8a1710e263587f318040554e8fe786a6559feb56697b4'

$packageArgs = @{
  packageName    = $packageName
  fileType       = 'EXE'
  url64bit       = $url64
  checksum64     = $checksum64
  checksumType64 = 'sha256'
  silentArgs     = '/S'
  validExitCodes = @(0)
}

Install-ChocolateyPackage @packageArgs
